// SPDX-License-Identifier: Apache-2.0
import { transports } from "winston";
import DailyRotateFile from "winston-daily-rotate-file";
import LogService from "../../app/service/log/LogService";
// const DefaultLoggerFormat = LogService.defaultFormat;
// Log transports
export { transports as LoggerTransports };
export { DailyRotateFile };
// export { DefaultLoggerFormat };
class SDK {
    static _log;
    static get log() {
        return SDK._log;
    }
    static set log(value) {
        SDK._log = value;
        new LogService(value);
    }
    static _appMetadata;
    static get appMetadata() {
        return SDK._appMetadata;
    }
    static set appMetadata(value) {
        SDK._appMetadata = value;
    }
}
export { SDK };
